{ stdenv, buildPythonPackage, fetchPypi, substituteAll,
  isPy3k,
  asgiref, pytz, sqlparse
}:

buildPythonPackage rec {
  pname = "Django";
  version = "3.0.2";

  disabled = !isPy3k;

  src = fetchPypi {
    inherit pname version;
    sha256 = "1jjih2x6kyp89kc5p98f30pm2isc2phf35qdhs9hhf8i3vw7adcc";
  };

  propagatedBuildInputs = [ asgiref pytz sqlparse ];

  # too complicated to setup
  doCheck = false;

  meta = with stdenv.lib; {
    description = "A high-level Python Web framework";
    homepage = https://www.djangoproject.com/;
    license = licenses.bsd3;
    maintainers = with maintainers; [ ];
  };
}
