{ config, lib, pkgs, ... }:

let
  fn = import ../fn.nix { inherit lib; };
  gitpkgs = import /nixpkgs {};
in {
  config.machine.pkgsets.python3.pkgwrap = (pkgs.python38Full.withPackages (ps: with ps; (fn.pkgFilter config.machine.pkgsets.python3.pkgs)));
  config.machine.pkgsets.python3.pkgs = with pkgs.python38Packages; [
    GitPython
    bpython
    # cairosvg cairocffi
    configparser
    pkgs.django3
    emoji
    epc
    flake8
    genanki
    mypy
    numpy
    opencv3
    paho-mqtt
    pep8
    pillow
    pip
    plotly
    pyflakes
    pygame pygame_sdl2
    pylama
    pylint
    pyopengl
    pyproj
    pytest
    requests
    schedule
    scipy
    selenium
    telegram
    tkinter
    toolz
    virtualenv
    xdot
#    flask
#    flask-common
#    flask-compress
#    flask-cors
#    flask-limiter
#    flask-pymongo
#    flask-restful
#    flask-restplus
#    flask_assets
#    flask_elastic
#    flask_login
#    flask_mail
#    flask_marshmallow
#    flask_migrate
#    flask_oauthlib
#    flask_principal
#    flask_script
#    flask_sqlalchemy
#    flask_testing
#    flask_wtf
#    flaskbabel
  ];
}
